OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
op::WrapperStructGui Struct Reference

`#include <wrapperStructGui.hpp>`

## Public Member Functions
| WrapperStructGui (const DisplayMode displayMode=DisplayMode::NoDisplay, const bool guiVerbose=false, const bool fullScreen=false)

## Public Attributes
DisplayMode | displayMode
bool | guiVerbose
bool | fullScreen

## Detailed Description

WrapperStructGui: It controls a small GUI for quick visualization.

## Constructor & Destructor Documentation

op::WrapperStructGui::WrapperStructGui | ( | const DisplayMode | displayMode = `DisplayMode::NoDisplay`,
|  | const bool | guiVerbose = `false`,
|  | const bool | fullScreen = `false`
| ) |  |

Constructor of the struct. It has the recommended and default values we recommend for each element of the struct. Since all the elements of the struct are public, they can also be manually filled.

## Member Data Documentation

DisplayMode op::WrapperStructGui::displayMode

Display mode a) -1 for automatic selection. b) 0 for no display. Useful if there is no X server and/or to slightly speed up the processing if visual output is not required. c) 2 for 2-D display in the OpenPose small integrated GUI. d) 3 for 3-D display, if `--3d` was enabled. e) 1 for both 2-D and 3-D display.

bool op::WrapperStructGui::fullScreen

Whether to display the OpenPose small integrated GUI on fullscreen mode. It can be changed by interacting with the GUI itself.

bool op::WrapperStructGui::guiVerbose

Whether to add some information to the frame (number of frame, number people detected, etc.) after it is saved on disk and before it is displayed and/or returned to the user.

The documentation for this struct was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/wrapper/wrapperStructGui.hpp